<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:orientation="vertical"
    android:layout_marginBottom="16dp">

    <TextView
        android:id="@+id/tvFeatureName"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:textSize="16sp"
        android:textColor="@color/text_secondary"
        android:layout_marginBottom="8dp"/>

    <!-- Rounded Rectangle Container for Segments -->
    <LinearLayout
        android:id="@+id/buttonContainer"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:orientation="horizontal"
        android:background="@drawable/bg_rating_segment"
        android:backgroundTint="@color/input_background"
        android:weightSum="9"
        android:showDividers="middle"
        android:divider="@drawable/divider_rating_segment"/>

</LinearLayout>